Page MenuHomeFreeBSD

graphics/zathura-*: Update MASTER_SITES
ClosedPublic

Authored by rigoletto on Mar 1 2020, 6:36 PM.

Details

Summary

PR: 242029

  • graphics/zathura: update to 0.4.3
  • graphics/zathura-djvu: update to 0.2.9
  • graphics/zathura-pdf-poppler: update to 0.3.0

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rigoletto retitled this revision from graphics/zathura-*: Udate MASTER_SITES to graphics/zathura-*: Update MASTER_SITES.

Hi,

Why the change in MASTER_SITE? The project home page, when clicking on downloads still links to the https://pwmt.org/projects/girara/download/girara-0.3.4.tar.xz URL, so why not follow what upstream does?

I completely agree on removing the www.madpilot.net "mirror" which I added some time ago to fix a temporary problem.

Hi,

Why the change in MASTER_SITE? The project home page, when clicking on downloads still links to the https://pwmt.org/projects/girara/download/girara-0.3.4.tar.xz URL, so why not follow what upstream does?

I completely agree on removing the www.madpilot.net "mirror" which I added some time ago to fix a temporary problem.

Hello,

While working in some of the zathura-* ports the source files were missing (I can't recall which ones now) and that is why I discovered they moved to a GitLab instance. Then I assumed they will move completely at some point, and IMO this is a better idea to keep MASTER_SITES consistent among all zathura-* instead of be changing one by one when necessary.

Cheers! :-)

While working in some of the zathura-* ports the source files were missing (I can't recall which ones now) and that is why I discovered they moved to a GitLab instance. Then I assumed they will move completely at some point, and IMO this is a better idea to keep MASTER_SITES consistent among all zathura-* instead of be changing one by one when necessary.

I think would the best to use multiple MASTER_SITES.

While working in some of the zathura-* ports the source files were missing (I can't recall which ones now) and that is why I discovered they moved to a GitLab instance. Then I assumed they will move completely at some point, and IMO this is a better idea to keep MASTER_SITES consistent among all zathura-* instead of be changing one by one when necessary.

I think would the best to use multiple MASTER_SITES.

I second this, it looks like a good idea, if the distfiles are the same.

While working in some of the zathura-* ports the source files were missing (I can't recall which ones now) and that is why I discovered they moved to a GitLab instance. Then I assumed they will move completely at some point, and IMO this is a better idea to keep MASTER_SITES consistent among all zathura-* instead of be changing one by one when necessary.

I think would the best to use multiple MASTER_SITES.

I second this, it looks like a good idea, if the distfiles are the same.

The distfiles are different.

EDIT: zathura-pdf-mupdf and girara are keep the same distfile.

Latest changes, including some portlint fixes.

I have no problems for the parts the I am maintainer of.

Make sure you have contacted the other maintainers and have permission or they are actually timed out.

Not all maintainers are subscribed to phabricator, so I don't think the review emails are enough to make sure maintainers are informed.

This revision is now accepted and ready to land.May 25 2020, 8:05 AM

I have no problems for the parts the I am maintainer of.

Make sure you have contacted the other maintainers and have permission or they are actually timed out.

Not all maintainers are subscribed to phabricator, so I don't think the review emails are enough to make sure maintainers are informed.

They have already approved on bugs.

Thanks!

@uzsolt_uzsolt.hu are you fine with it?

Sorry for late.
Why did you remove own mirror sites? Sometimes the pwmt.org is unavailable. If the source files (zathura-pdf-mupdf) are different I can update it on my host.

I do not think all the USE_LDCONFIG bits are needed.

The USE_LDCONFIG knob is there when the port provides a shared library that other ports will need to link with, here, the .so are plugins, and they will be dlopen'ed on request.

In D23908#565853, @mat wrote:

I do not think all the USE_LDCONFIG bits are needed.

The USE_LDCONFIG knob is there when the port provides a shared library that other ports will need to link with, here, the .so are plugins, and they will be dlopen'ed on request.

Mostly were to shut portlint.

@uzsolt_uzsolt.hu are you fine with it?

Sorry for late.
Why did you remove own mirror sites? Sometimes the pwmt.org is unavailable. If the source files (zathura-pdf-mupdf) are different I can update it on my host.

The distfiles were not matching and when the upstream mirror is not available the port system grab from the copy in FreeBSD own infrastructure.

@uzsolt_uzsolt.hu are you fine with it?

Sorry for late.
Why did you remove own mirror sites? Sometimes the pwmt.org is unavailable. If the source files (zathura-pdf-mupdf) are different I can update it on my host.

The distfiles were not matching and when the upstream mirror is not available the port system grab from the copy in FreeBSD own infrastructure.

Some version ago I could fetch the source, created a bug report (update report) but the committer couldn't fetch it: see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216067

In D23908#565853, @mat wrote:

I do not think all the USE_LDCONFIG bits are needed.

The USE_LDCONFIG knob is there when the port provides a shared library that other ports will need to link with, here, the .so are plugins, and they will be dlopen'ed on request.

Mostly were to shut portlint.

It is about the worst reason possible to make a change. portlint is a static lint tool, it has no clue about what you are doing, it just see stuff and tells you what it thinks you should do, but it very often gets it wrong.

Sync with HEAD.
I removed all LD_CONFIG entries and it apparently is fine but I will still need to review it.

This revision now requires review to proceed.Jul 15 2020, 9:56 PM

I think this is fine now. @uzsolt_uzsolt.hu is this good for you?

Thanks!

I think this is fine now. @uzsolt_uzsolt.hu is this good for you?

Thanks!

Yes, thanks!

This revision was not accepted when it landed; it landed in state Needs Review.Jul 21 2020, 7:53 PM
This revision was automatically updated to reflect the committed changes.